#ifndef GAKUMAS_LOCALIFY_HOOK_H
#define GAKUMAS_LOCALIFY_HOOK_H

#include <string>
#include <cstdint>


namespace GakumasLocal {
    // 获取 AssetBundle 句柄（在 Hook.cpp 定义，TextureReplace.cpp 需要用）
    uint32_t GetBundleHandleByAssetName(std::string assetName);
    bool FindAssetBundleAssetByFilename(const std::string& filename,
                                        std::string& assetPath,
                                        uint32_t& handle);
}

namespace GakumasLocal::Hook
{
    void Install();
}

#endif //GAKUMAS_LOCALIFY_HOOK_H
